# Hurricane Documentation

# Hurricane VLSI Database

List of all members | Public Member Functions
Hurricane::ListCollection< Element > Class Template Reference

Hurricane Collection wrapper around a std::list. More...

Inheritance diagram for Hurricane::ListCollection< Element >:
[legend]

## Public Member Functions

| ListCollection (const ElementList *elementList=NULL)
Public Member Functions inherited from Hurricane::Collection< Element >
virtual | ~Collection ()
Element | getFirst () const
GenericCollection< Element > | getSubSet (const Filter< Element > &filter) const
GenericCollection< SubType > | getSubSet () const
GenericCollection< SubType > | getSubSet (const Filter< SubType > &filter) const

## Detailed Description

### template<class Element>
class Hurricane::ListCollection< Element >

Hurricane Collection wrapper around a std::list.

Automatically wrap a Hurricane Collection around a stl::list.

## Constructor & Destructor Documentation

## ◆ ListCollection()

template<class Element >

Hurricane::ListCollection< Element >::ListCollection | ( | const ElementList * | elementList = `NULL` | ) |

inline

Constructor from a STL list, the list must not be de-allocated.

The documentation for this class was generated from the following files:

- ListCollection.h
- Collection.dox